Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.blender.org/blender.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDalai Felinto <dfelinto@gmail.com>2017-04-18 17:30:13 +0300
committerDalai Felinto <dfelinto@gmail.com>2017-04-18 17:30:13 +0300
commitc9d78b6c434b5b1672ad0e0a2854eb9c1199f379 (patch)
tree47647ceb5a78cb951768bb03fbca0322e52fe2b2 /build_files
parentbc6a75b405c4e0b1e85c9c6ec6646fd2d3f67686 (diff)
parent70018eb16e721f9171834afd4bf70dc017af1369 (diff)
Merge remote-tracking branch 'origin/master' into blender2.8
Diffstat (limited to 'build_files')
-rwxr-xr-xbuild_files/build_environment/install_deps.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/build_files/build_environment/install_deps.sh b/build_files/build_environment/install_deps.sh
index b10ae4e7a4a..dd1e7622be1 100755
--- a/build_files/build_environment/install_deps.sh
+++ b/build_files/build_environment/install_deps.sh
@@ -2593,7 +2593,6 @@ install_DEB() {
fi
# These libs should always be available in debian/ubuntu official repository...
- OPENJPEG_DEV="libopenjpeg-dev"
VORBIS_DEV="libvorbis-dev"
OGG_DEV="libogg-dev"
THEORA_DEV="libtheora-dev"
@@ -2601,17 +2600,25 @@ install_DEB() {
_packages="gawk cmake cmake-curses-gui build-essential libjpeg-dev libpng-dev libtiff-dev \
git libfreetype6-dev libx11-dev flex bison libtbb-dev libxxf86vm-dev \
libxcursor-dev libxi-dev wget libsqlite3-dev libxrandr-dev libxinerama-dev \
- libbz2-dev libncurses5-dev libssl-dev liblzma-dev libreadline-dev $OPENJPEG_DEV \
+ libbz2-dev libncurses5-dev libssl-dev liblzma-dev libreadline-dev \
libopenal-dev libglew-dev yasm $THEORA_DEV $VORBIS_DEV $OGG_DEV \
libsdl1.2-dev libfftw3-dev patch bzip2 libxml2-dev libtinyxml-dev libjemalloc-dev"
# libglewmx-dev (broken in deb testing currently...)
- OPENJPEG_USE=true
VORBIS_USE=true
OGG_USE=true
THEORA_USE=true
PRINT ""
+ # New Ubuntu crap (17.04 and more) have no openjpeg lib!
+ OPENJPEG_DEV="libopenjpeg-dev"
+ check_package_DEB $OPENJPEG_DEV
+ if [ $? -eq 0 ]; then
+ _packages="$_packages $OPENJPEG_DEV"
+ OPENJPEG_USE=true
+ fi
+
+ PRINT ""
# Some not-so-old distro (ubuntu 12.4) do not have it, do not fail in this case, just warn.
YAMLCPP_DEV="libyaml-cpp-dev"
check_package_DEB $YAMLCPP_DEV